package com.sample;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIV3Parser;
import io.swagger.v3.parser.core.models.ParseOptions;


public class Controller {
    String LOCATION = getClass().getResource("/spec/ofSpec/odin-ui-openapi-v3.yaml").getFile();

    public OpenAPI parse() {
        ParseOptions options = new ParseOptions();
        options.setResolveFully(true);

        OpenAPI openAPI = new OpenAPIV3Parser().readLocation(LOCATION, null, options).getOpenAPI();

        return openAPI;

    }
}
